Bug 472058 - Rename Saved Searches
Rename Saved Searches
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
3.6
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 10:24 EST by Chris Ward
Modified: 2013-06-23 22:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 01:28:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 156662 None None None Never

  None (edit)
Description Chris Ward 2008-11-18 10:24:15 EST
Description of problem:
I would like to be able to rename saved searches, rather than 'delete re-save'.

This functionality would fit nicely in the Preferences 'Saved Searches' page. A link 'rename' which brought you to a page which you could rename and save the search would suffice. 

Thanks!
Comment 1 David Lawrence 2010-01-15 12:33:28 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.
Comment 2 David Kovalsky 2010-01-18 09:43:32 EST
Still can't rename searches in preferences with 3.4
Comment 3 David Lawrence 2010-08-25 17:41:55 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team
Comment 4 David Kovalsky 2010-08-26 09:03:12 EDT
Still valid. Found nothing in preferences that would allow me to change a saved search query.
Comment 5 David Lawrence 2010-08-26 11:01:53 EDT
There is some upstream discussion as well about this. If time allows we can work on this here and then submit the patch upstream for inclusion.

The painful workaround now is to load the saved query in query.cgi, execute it and save it as a new name. Then delete the old on from userprefs.cgi. More work than necessary I know.

Dave
Comment 6 David Lawrence 2010-08-26 11:03:51 EDT
Adding reference to the upstream bug.
Comment 7 Jeff Fearn 2012-05-30 00:41:54 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 8 Jeff Fearn 2012-07-19 01:28:38 EDT
As noted previously, the Bugzilla Team is cleaning up a large number of outstanding issues that have bit rotted. This bug is being closed as there has been no response to that notification.

If you believe this bug is still important please reopen this bug in the NEW status and PM will consider it.

Note You need to log in before you can comment on or make changes to this bug.